# ifndef MKVEXTRACTGUI_H
# define MKVEXTRACTGUI_H

# include <QDialog>
# include <QProcess>
# include <QTime>

# include "ui_mkvextractgui.h"

class mkvextractgui : public QDialog, public Ui::mkvextractgui
{
	Q_OBJECT

public:
	mkvextractgui(QWidget *parent = 0);

private slots:
	void extractOpen();
	void extractSave();
	void extractStart();
	void extractInfoStart();
	void extractCheckBoxchecked();

	void extractFortschritt();
	void extractInfoFortschritt();

	void extractProcBeendet(int exitCode, QProcess::ExitStatus exitStatus);
	void extractInfoBeendet();

	void mkvextracttest();
	void mediainfotest();

	QString createNewFilename(const QString &oldFileName);

	QStringList openDialog(QString initialDir,const char* Filter);
	QString saveDialog(QString initialDir);


private:
	QProcess extractProc;
	QProcess extractInfo;

	QProcess soundplay;
	QString fileProperties;
	QFont font;

	QTime timer;

	int jobs;
	int i;

};

# endif